Retrieves the article status list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Optionally required : article_status_id required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| date_start_delivery |
Start delivery date |
date | |
| date_start |
Date start |
date | |
| date_end |
Date end |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "270bcc2b-8b3d-40e3-8bbe-7011e2fed56f",
"article_status_id": "8fa74d48-3386-4372-8c5b-871bd719e335",
"article_id": "d63bcf1c-20d3-421b-a011-917a1e80fe50",
"article_code": "sample string 4",
"sales_organization_id": "a3f4e498-58bf-4dfb-a1cf-957aeb5151f3",
"date_start_delivery": "2026-07-27T18:21:27.4704126+00:00",
"date_start": "2026-07-27T18:21:27.4704126+00:00",
"date_end": "2026-07-27T18:21:27.4704126+00:00",
"modified_dateutc": "2026-07-27T18:21:27.4704126+00:00"
}